/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s):
 *   Peter Hartshorn <peter@igelaus.com.au>
 *   B.J. Rossiter <bj@igelaus.com.au>
 */

#ifndef nsScreenNanoX_h___
#define nsScreenNanoX_h___

#include "nsIScreen.h"

#include <nano-X.h>

//------------------------------------------------------------------------

class nsScreenNanoX : public nsIScreen
{
public:
  nsScreenNanoX ( );
  virtual ~nsScreenNanoX();

  NS_DECL_ISUPPORTS
  NS_DECL_NSISCREEN

private:
  GR_SCREEN_INFO si;
};

#endif  // nsScreenNanoX_h___ 
